<div class="col-md-12 mt-3">
    <h1>{{page_title}}</h1>
    <p  *ngIf="status != 'success' ">Crea una nueva categoría para el blog.</p>
    <hr/>
    
        <div class="alert alert-success col-md-5 mt-3" *ngIf="status == 'success'">
           La categoría se ha creado correctamente
        </div>
    
        <div class="alert alert-danger col-md-5" *ngIf="status == 'error'">
            La categoría no se ha guardado.
        </div>
    
        <!--FORMULARIO  CREAR CATEGORÍA-->
        <form #categoryForm="ngForm" (ngSubmit)="onSubmit(categoryForm)" class="col-md-5">
            <div class="form-group">
                <label for="name">Nombre</label>
                <input type="text" name="name" class="form-control" #name="ngModel" [(ngModel)] = "category.name" required />

                <small *ngIf="!name.valid && name.touched" class="invalid-feedback d-block">
                    <p>El nombre de la categoría no es válido</p>
                </small>
            </div>
            
            <input type="submit" value="Guardar" class="btn btn-success" [disabled]="categoryForm.invalid" />
        </form>
        
    </div>
    